Functions
Retry failed execution
Retry a failed execution by its index (0-based) in the logs. Cannot retry successful executions.
POST
/api/functions/projects/{projectId}/functions/{functionId}/retry/{executionIndex}SDK setup
Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.
import { Configuration, FunctionsApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
apiKey: 'sk_live_mudbase_doc_Xk9mP2qR7vN4wL8jH3tY6uE',
accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
// This endpoint accepts either credential — apiKey or accessToken alone is enough.
const functions = new FunctionsApi(configuration);import { Configuration, FunctionsApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
apiKey: 'sk_live_mudbase_doc_Xk9mP2qR7vN4wL8jH3tY6uE',
accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
// This endpoint accepts either credential — apiKey or accessToken alone is enough.
const functions = new FunctionsApi(configuration);Example request
Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.
const { data: result } = await functions.retryFunctionExecution("proj_vamLlmXkSrYy", "Gh6awKSD4XDn6sEq", "driver generate");const { data: result } = await functions.retryFunctionExecution("proj_vamLlmXkSrYy", "Gh6awKSD4XDn6sEq", "driver generate");Playground
liveTest this endpoint with your own credentials. Your requests will be sent to the live API.
Get your API key from the console
Use the auth endpoints to obtain a JWT.
No Request Yet
Send a request to see the full inspector
Authentication
Requires JWT Requires API Key JWT or API Key
Note
This endpoint accepts either JWT Bearer token or API Key. Use
Authorization: Bearer YOUR_TOKEN for user context, or X-API-Key: YOUR_KEY for server-to-server. View authentication guide →Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →Include your API key in the X-API-Key: YOUR_KEY header (server-to-server, SDKs). View authentication guide →Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
projectId | string | Yes | — |
functionId | string | Yes | — |
executionIndex | integer | Yes | 0-based index of the execution in logs |
Responses
200Retry result
json
{
"success": true,
"data": {
"executionId": "6OWlViT28iLUs3JY",
"status": "queued"
}
}{
"success": true,
"data": {
"executionId": "6OWlViT28iLUs3JY",
"status": "queued"
}
}400Cannot retry successful execution
404Function or execution not found
Errors
| Code | Meaning |
|---|---|
400 | Cannot retry successful execution |
404 | Function or execution not found |